> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipvision.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Data API Endpoint

> This API endpoint allows a user to retrieve their data.



## OpenAPI

````yaml get /api/user/
openapi: 3.0.1
info:
  title: ClipVision API
  description: ClipVision AI API
  termsOfService: https://www.clipvision.ai/terms/
  contact:
    email: help@clipvision.ai
  license:
    name: ClipVision License
  version: v1
servers:
  - url: https://backend.clipvision.ai/
security:
  - Basic: []
  - api_key: []
paths:
  /api/user/:
    get:
      tags:
        - api
      summary: Get User Data API Endpoint
      description: This API endpoint allows a user to retrieve their data.
      operationId: get_user_data
      responses:
        '200':
          description: Successfully retrieved the user data
          content:
            application/json:
              schema:
                title: User
                type: object
                properties:
                  user_id:
                    type: integer
                  stripe_customer_id:
                    type: string
                  plan_id:
                    type: integer
                  disabled:
                    type: boolean
                  username:
                    type: string
                  avatar_url:
                    type: string
                  avg_credits_per_video_weekly:
                    type: number
                  avg_credits_per_video_monthly:
                    type: number
                  avg_credits_per_video_yearly:
                    type: number
                  total_credits:
                    type: integer
                  total_videos:
                    type: integer
                  created_videos_increase_weekly:
                    type: number
                  created_videos_increase_monthly:
                    type: number
                  created_videos_increase_yearly:
                    type: number
                  total_font_profiles:
                    type: integer
                  total_media_profiles:
                    type: integer
                  total_voice_profiles:
                    type: integer
                  total_playlists:
                    type: integer
                  total_limitations:
                    type: integer
                  total_voices:
                    type: integer
                  settings:
                    title: Settings
                    type: object
                    properties:
                      plan:
                        title: Plan
                        type: object
                        properties:
                          subscription_start:
                            type: string
                          subscription_end:
                            type: string
                          subscription_visualizer:
                            type: string
                          subscription_credits:
                            type: integer
                          subscription_price:
                            type: number
                          can_upgrade:
                            type: boolean
                          can_downgrade:
                            type: boolean
                          can_add_credits:
                            type: boolean
                          expired:
                            type: boolean
                          remaining_time:
                            type: string
                          stripe_subscription_id:
                            type: string
                          disabled:
                            type: boolean
                        description: Plan OpenAPI Schema
                      credits:
                        type: array
                        items:
                          title: Credit
                          type: object
                          properties:
                            id:
                              type: integer
                            disabled:
                              type: boolean
                            value:
                              type: number
                            creation_date:
                              type: string
                              format: date
                            expiration_date:
                              type: string
                              format: date
                            expired:
                              type: boolean
                          description: Credit OpenAPI Schema
                      email_address:
                        type: string
                      secret_key:
                        type: string
                      azure_data:
                        type: object
                        properties:
                          api_key:
                            type: string
                          region:
                            type: string
                      elevenlabs_api_key:
                        type: string
                      discord_webhook:
                        type: string
                      last_added:
                        title: Credit
                        type: object
                        properties:
                          id:
                            type: integer
                          disabled:
                            type: boolean
                          value:
                            type: number
                          creation_date:
                            type: string
                            format: date
                          expiration_date:
                            type: string
                            format: date
                          expired:
                            type: boolean
                        description: Credit OpenAPI Schema
                    description: Settings OpenAPI Schema
                  font_profiles:
                    type: array
                    items:
                      title: Font Profile
                      type: object
                      properties:
                        font_profile_id:
                          type: integer
                        disabled:
                          type: boolean
                        profile_name:
                          type: string
                        name:
                          type: string
                        path:
                          type: string
                        size:
                          type: integer
                        bold:
                          type: boolean
                        italic:
                          type: boolean
                        underlined:
                          type: boolean
                        strikethrough:
                          type: boolean
                        caption_position:
                          title: Overlay Coordinate
                          type: object
                          properties:
                            coordinate_id:
                              type: integer
                            overlay_visualizer:
                              type: string
                            x:
                              type: string
                            'y':
                              type: string
                          description: Overlay Coordinate OpenAPI Schema
                        caption_style_color:
                          type: string
                        caption_style_stroke_color:
                          type: string
                        caption_style_stroke_thickness:
                          type: integer
                        caption_shadow_x_pos:
                          type: integer
                        caption_shadow_y_pos:
                          type: integer
                        caption_shadow_color:
                          type: string
                        caption_shadow_blur:
                          type: integer
                        caption_lines:
                          type: integer
                        caption_ai_keyword_highlighter:
                          type: boolean
                        caption_ai_keyword_highlighter_color:
                          type: string
                        caption_highlighter:
                          type: boolean
                        caption_highlighter_color:
                          type: string
                        preview_url:
                          type: string
                        preview_bytes:
                          type: string
                          format: binary
                      description: Font Profile OpenAPI Schema
                  media_profiles:
                    type: array
                    items:
                      title: Media Profile
                      type: object
                      properties:
                        media_profile_id:
                          type: integer
                        disabled:
                          type: boolean
                        profile_name:
                          type: string
                        watermark_path:
                          type: string
                        watermark_position:
                          title: Overlay Coordinate
                          type: object
                          properties:
                            coordinate_id:
                              type: integer
                            overlay_visualizer:
                              type: string
                            x:
                              type: string
                            'y':
                              type: string
                          description: Overlay Coordinate OpenAPI Schema
                        end_clip_path:
                          type: string
                        preview_url:
                          type: string
                      description: Media Profile OpenAPI Schema
                  voice_profiles:
                    type: array
                    items:
                      title: Voice Profile
                      type: object
                      properties:
                        voice_profile_id:
                          type: integer
                        disabled:
                          type: boolean
                        profile_name:
                          type: string
                        api_key:
                          type: string
                        region:
                          type: string
                        provider_id:
                          type: string
                        provider_name:
                          type: string
                      description: Voice Profile OpenAPI Schema
                  playlists:
                    type: array
                    items:
                      title: Playlist
                      type: object
                      properties:
                        playlist_id:
                          type: integer
                        disabled:
                          type: boolean
                        playlist_name:
                          type: string
                        font_profile:
                          title: Font Profile
                          type: object
                          properties:
                            font_profile_id:
                              type: integer
                            disabled:
                              type: boolean
                            profile_name:
                              type: string
                            name:
                              type: string
                            path:
                              type: string
                            size:
                              type: integer
                            bold:
                              type: boolean
                            italic:
                              type: boolean
                            underlined:
                              type: boolean
                            strikethrough:
                              type: boolean
                            caption_position:
                              title: Overlay Coordinate
                              type: object
                              properties:
                                coordinate_id:
                                  type: integer
                                overlay_visualizer:
                                  type: string
                                x:
                                  type: string
                                'y':
                                  type: string
                              description: Overlay Coordinate OpenAPI Schema
                            caption_style_color:
                              type: string
                            caption_style_stroke_color:
                              type: string
                            caption_style_stroke_thickness:
                              type: integer
                            caption_shadow_x_pos:
                              type: integer
                            caption_shadow_y_pos:
                              type: integer
                            caption_shadow_color:
                              type: string
                            caption_shadow_blur:
                              type: integer
                            caption_lines:
                              type: integer
                            caption_ai_keyword_highlighter:
                              type: boolean
                            caption_ai_keyword_highlighter_color:
                              type: string
                            caption_highlighter:
                              type: boolean
                            caption_highlighter_color:
                              type: string
                            preview_url:
                              type: string
                            preview_bytes:
                              type: string
                              format: binary
                          description: Font Profile OpenAPI Schema
                        media_profile:
                          title: Media Profile
                          type: object
                          properties:
                            media_profile_id:
                              type: integer
                            disabled:
                              type: boolean
                            profile_name:
                              type: string
                            watermark_path:
                              type: string
                            watermark_position:
                              title: Overlay Coordinate
                              type: object
                              properties:
                                coordinate_id:
                                  type: integer
                                overlay_visualizer:
                                  type: string
                                x:
                                  type: string
                                'y':
                                  type: string
                              description: Overlay Coordinate OpenAPI Schema
                            end_clip_path:
                              type: string
                            preview_url:
                              type: string
                          description: Media Profile OpenAPI Schema
                        voice_profile:
                          title: Voice Profile
                          type: object
                          properties:
                            voice_profile_id:
                              type: integer
                            disabled:
                              type: boolean
                            profile_name:
                              type: string
                            api_key:
                              type: string
                            region:
                              type: string
                            provider_id:
                              type: string
                            provider_name:
                              type: string
                          description: Voice Profile OpenAPI Schema
                        content_type:
                          title: Content Type
                          type: object
                          properties:
                            content_type_id:
                              type: integer
                            display_name:
                              type: string
                            model_id:
                              type: string
                            description:
                              type: string
                            preview_image:
                              type: string
                            preview_video:
                              type: string
                            active:
                              type: boolean
                          description: Content Type OpenAPI Schema
                        preview_url:
                          type: string
                      description: Playlist OpenAPI Schema
                  limitations:
                    type: array
                    items:
                      title: Limitation
                      type: object
                      properties:
                        id:
                          type: integer
                        enabled:
                          type: boolean
                      description: Limitation OpenAPI Schema
                  voices:
                    type: array
                    items:
                      title: Voice
                      type: object
                      properties:
                        voice_id:
                          type: integer
                        disabled:
                          type: boolean
                        user_id:
                          type: integer
                        voice_profile_id:
                          type: integer
                        voice_name:
                          type: string
                        provider_voice_id:
                          type: string
                        voice_profile:
                          title: Voice Profile
                          type: object
                          properties:
                            voice_profile_id:
                              type: integer
                            disabled:
                              type: boolean
                            profile_name:
                              type: string
                            api_key:
                              type: string
                            region:
                              type: string
                            provider_id:
                              type: string
                            provider_name:
                              type: string
                          description: Voice Profile OpenAPI Schema
                      description: Voice OpenAPI Schema
                  videos:
                    type: array
                    items:
                      title: Video
                      type: object
                      properties:
                        video_id:
                          type: integer
                        disabled:
                          type: boolean
                        video_title:
                          type: string
                        video_description:
                          type: string
                        elapsed_gen_time:
                          type: integer
                        credits_cost:
                          type: number
                        resolution:
                          type: string
                        creation_date:
                          type: string
                          format: date-time
                        original_input_script:
                          type: string
                        download_link:
                          type: string
                        preview_url:
                          type: string
                        content_type:
                          title: Content Type
                          type: object
                          properties:
                            content_type_id:
                              type: integer
                            display_name:
                              type: string
                            model_id:
                              type: string
                            description:
                              type: string
                            preview_image:
                              type: string
                            preview_video:
                              type: string
                            active:
                              type: boolean
                          description: Content Type OpenAPI Schema
                        input_video:
                          title: InputVideo
                          type: object
                          properties:
                            input_video_id:
                              type: integer
                            disabled:
                              type: boolean
                            video_title:
                              type: string
                            download_link:
                              type: string
                            creation_date:
                              type: string
                            preview_url:
                              type: string
                            audio:
                              title: Audio
                              type: object
                              properties:
                                audio_id:
                                  type: integer
                                disabled:
                                  type: boolean
                                download_link:
                                  type: string
                                transcription:
                                  type: string
                                creation_date:
                                  type: string
                              description: Audio OpenAPI Schema
                          description: InputVideo OpenAPI Schema
                        input_music:
                          title: Audio
                          type: object
                          properties:
                            audio_id:
                              type: integer
                            disabled:
                              type: boolean
                            download_link:
                              type: string
                            transcription:
                              type: string
                            creation_date:
                              type: string
                          description: Audio OpenAPI Schema
                        input_voice:
                          title: Audio
                          type: object
                          properties:
                            audio_id:
                              type: integer
                            disabled:
                              type: boolean
                            download_link:
                              type: string
                            transcription:
                              type: string
                            creation_date:
                              type: string
                          description: Audio OpenAPI Schema
                        font_profile:
                          title: Font Profile
                          type: object
                          properties:
                            font_profile_id:
                              type: integer
                            disabled:
                              type: boolean
                            profile_name:
                              type: string
                            name:
                              type: string
                            path:
                              type: string
                            size:
                              type: integer
                            bold:
                              type: boolean
                            italic:
                              type: boolean
                            underlined:
                              type: boolean
                            strikethrough:
                              type: boolean
                            caption_position:
                              title: Overlay Coordinate
                              type: object
                              properties:
                                coordinate_id:
                                  type: integer
                                overlay_visualizer:
                                  type: string
                                x:
                                  type: string
                                'y':
                                  type: string
                              description: Overlay Coordinate OpenAPI Schema
                            caption_style_color:
                              type: string
                            caption_style_stroke_color:
                              type: string
                            caption_style_stroke_thickness:
                              type: integer
                            caption_shadow_x_pos:
                              type: integer
                            caption_shadow_y_pos:
                              type: integer
                            caption_shadow_color:
                              type: string
                            caption_shadow_blur:
                              type: integer
                            caption_lines:
                              type: integer
                            caption_ai_keyword_highlighter:
                              type: boolean
                            caption_ai_keyword_highlighter_color:
                              type: string
                            caption_highlighter:
                              type: boolean
                            caption_highlighter_color:
                              type: string
                            preview_url:
                              type: string
                            preview_bytes:
                              type: string
                              format: binary
                          description: Font Profile OpenAPI Schema
                        media_profile:
                          title: Media Profile
                          type: object
                          properties:
                            media_profile_id:
                              type: integer
                            disabled:
                              type: boolean
                            profile_name:
                              type: string
                            watermark_path:
                              type: string
                            watermark_position:
                              title: Overlay Coordinate
                              type: object
                              properties:
                                coordinate_id:
                                  type: integer
                                overlay_visualizer:
                                  type: string
                                x:
                                  type: string
                                'y':
                                  type: string
                              description: Overlay Coordinate OpenAPI Schema
                            end_clip_path:
                              type: string
                            preview_url:
                              type: string
                          description: Media Profile OpenAPI Schema
                        voice_profile:
                          title: Voice Profile
                          type: object
                          properties:
                            voice_profile_id:
                              type: integer
                            disabled:
                              type: boolean
                            profile_name:
                              type: string
                            api_key:
                              type: string
                            region:
                              type: string
                            provider_id:
                              type: string
                            provider_name:
                              type: string
                          description: Voice Profile OpenAPI Schema
                        template:
                          title: Template
                          type: object
                          properties:
                            template_id:
                              type: integer
                            template_name:
                              type: string
                            template_preview:
                              type: string
                            template_description:
                              type: string
                          description: Template OpenAPI Schema
                        playlist:
                          title: Playlist
                          type: object
                          properties:
                            playlist_id:
                              type: integer
                            disabled:
                              type: boolean
                            playlist_name:
                              type: string
                            font_profile:
                              title: Font Profile
                              type: object
                              properties:
                                font_profile_id:
                                  type: integer
                                disabled:
                                  type: boolean
                                profile_name:
                                  type: string
                                name:
                                  type: string
                                path:
                                  type: string
                                size:
                                  type: integer
                                bold:
                                  type: boolean
                                italic:
                                  type: boolean
                                underlined:
                                  type: boolean
                                strikethrough:
                                  type: boolean
                                caption_position:
                                  title: Overlay Coordinate
                                  type: object
                                  properties:
                                    coordinate_id:
                                      type: integer
                                    overlay_visualizer:
                                      type: string
                                    x:
                                      type: string
                                    'y':
                                      type: string
                                  description: Overlay Coordinate OpenAPI Schema
                                caption_style_color:
                                  type: string
                                caption_style_stroke_color:
                                  type: string
                                caption_style_stroke_thickness:
                                  type: integer
                                caption_shadow_x_pos:
                                  type: integer
                                caption_shadow_y_pos:
                                  type: integer
                                caption_shadow_color:
                                  type: string
                                caption_shadow_blur:
                                  type: integer
                                caption_lines:
                                  type: integer
                                caption_ai_keyword_highlighter:
                                  type: boolean
                                caption_ai_keyword_highlighter_color:
                                  type: string
                                caption_highlighter:
                                  type: boolean
                                caption_highlighter_color:
                                  type: string
                                preview_url:
                                  type: string
                                preview_bytes:
                                  type: string
                                  format: binary
                              description: Font Profile OpenAPI Schema
                            media_profile:
                              title: Media Profile
                              type: object
                              properties:
                                media_profile_id:
                                  type: integer
                                disabled:
                                  type: boolean
                                profile_name:
                                  type: string
                                watermark_path:
                                  type: string
                                watermark_position:
                                  title: Overlay Coordinate
                                  type: object
                                  properties:
                                    coordinate_id:
                                      type: integer
                                    overlay_visualizer:
                                      type: string
                                    x:
                                      type: string
                                    'y':
                                      type: string
                                  description: Overlay Coordinate OpenAPI Schema
                                end_clip_path:
                                  type: string
                                preview_url:
                                  type: string
                              description: Media Profile OpenAPI Schema
                            voice_profile:
                              title: Voice Profile
                              type: object
                              properties:
                                voice_profile_id:
                                  type: integer
                                disabled:
                                  type: boolean
                                profile_name:
                                  type: string
                                api_key:
                                  type: string
                                region:
                                  type: string
                                provider_id:
                                  type: string
                                provider_name:
                                  type: string
                              description: Voice Profile OpenAPI Schema
                            content_type:
                              title: Content Type
                              type: object
                              properties:
                                content_type_id:
                                  type: integer
                                display_name:
                                  type: string
                                model_id:
                                  type: string
                                description:
                                  type: string
                                preview_image:
                                  type: string
                                preview_video:
                                  type: string
                                active:
                                  type: boolean
                              description: Content Type OpenAPI Schema
                            preview_url:
                              type: string
                          description: Playlist OpenAPI Schema
                      description: Video OpenAPI Schema
                description: User OpenAPI Schema
              example:
                user_id: 1
                stripe_customer_id: cus_123
                plan_id: 1
                disabled: false
                username: Test User
                avatar_url: https://www.test.com/avatar.jpg
                avg_credits_per_video_weekly: 1
                avg_credits_per_video_monthly: 1
                avg_credits_per_video_yearly: 1
                avg_credits_per_video_increase_weekly: 0
                avg_credits_per_video_increase_monthly: 0
                avg_credits_per_video_increase_yearly: 0
                total_credits: 0
                total_videos: 1
                created_videos_increase_weekly: 0
                created_videos_increase_monthly: 0
                created_videos_increase_yearly: 0
                total_font_profiles: 1
                total_media_profiles: 1
                total_voice_profiles: 1
                total_playlists: 1
                total_limitations: 1
                total_voices: 1
                settings:
                  plan:
                    subscription_start: '2021-01-01T00:00:00.000Z'
                    subscription_end: '2021-02-01T00:00:00.000Z'
                    subscription_visualizer: Default
                    subscription_credits: 0
                    subscription_price: 0
                    can_upgrade: false
                    can_downgrade: false
                    can_add_credits: false
                    expired: true
                    remaining_time: '-3yrs left'
                    stripe_subscription_id: sub_123
                    disabled: false
                  credits:
                    - id: 1
                      disabled: false
                      value: 100
                      creation_date: '2021-01-01T00:00:00.000Z'
                      expiration_date: '2021-03-01T00:00:00.000Z'
                      expired: true
                  email_address: test@email.com
                  secret_key: testSecretKey
                  azure_data:
                    api_key: ''
                    region: eastus
                  elevenlabs_api_key: ''
                  discord_webhook: https://discord.com/webhooks/ClipVision
                  last_added:
                    id: 1
                    disabled: false
                    value: 100
                    creation_date: '2021-01-01T00:00:00.000Z'
                    expiration_date: '2021-03-01T00:00:00.000Z'
                    expired: true
                font_profiles:
                  - font_profile_id: 1
                    disabled: false
                    profile_name: New Font Profile
                    name: Poppins
                    path: Poppins
                    size: 30
                    bold: false
                    italic: false
                    underlined: false
                    strikethrough: false
                    caption_position:
                      coordinate_id: 0
                      overlay_visualizer: Middle Center
                      x: (main_w-overlay_w)/2
                      'y': (main_h-overlay_h)/2
                    caption_style_color: '#FFFFFF'
                    caption_style_stroke_color: '#000000'
                    caption_style_stroke_thickness: 2
                    caption_shadow_x_pos: 16
                    caption_shadow_y_pos: 14
                    caption_shadow_color: '#000000'
                    caption_shadow_blur: 6
                    caption_lines: 1
                    caption_ai_keyword_highlighter: false
                    caption_ai_keyword_highlighter_color: '#80B8FF'
                    caption_highlighter: true
                    caption_highlighter_color: '#FFFF00'
                    preview_url: null
                media_profiles:
                  - media_profile_id: 1
                    disabled: false
                    profile_name: New Media Profile
                    watermark_path: null
                    watermark_position: null
                    end_clip_path: null
                    preview_url: null
                voice_profiles:
                  - voice_profile_id: 1
                    disabled: false
                    profile_name: New Voice Profile
                    api_key: api_key
                    region: westus2
                    provider_id: elevenlabs
                    provider_name: ElevenLabs
                playlists:
                  - playlist_id: 1
                    disabled: false
                    playlist_name: 'Playlist #1'
                    font_profile:
                      font_profile_id: 1
                      disabled: false
                      profile_name: New Font Profile
                      name: Poppins
                      path: Poppins
                      size: 30
                      bold: false
                      italic: false
                      underlined: false
                      strikethrough: false
                      caption_position:
                        coordinate_id: 0
                        overlay_visualizer: Middle Center
                        x: (main_w-overlay_w)/2
                        'y': (main_h-overlay_h)/2
                      caption_style_color: '#FFFFFF'
                      caption_style_stroke_color: '#000000'
                      caption_style_stroke_thickness: 2
                      caption_shadow_x_pos: 16
                      caption_shadow_y_pos: 14
                      caption_shadow_color: '#000000'
                      caption_shadow_blur: 6
                      caption_lines: 1
                      caption_ai_keyword_highlighter: false
                      caption_ai_keyword_highlighter_color: '#80B8FF'
                      caption_highlighter: true
                      caption_highlighter_color: '#FFFF00'
                      preview_url: null
                    media_profile:
                      media_profile_id: 1
                      disabled: false
                      profile_name: New Media Profile
                      watermark_path: null
                      watermark_position: null
                      end_clip_path: null
                      preview_url: null
                    voice_profile:
                      voice_profile_id: 1
                      disabled: false
                      profile_name: New Voice Profile
                      api_key: api_key
                      region: westus2
                      provider_id: elevenlabs
                      provider_name: ElevenLabs
                    content_type:
                      content_type_id: 1
                      display_name: Default Model (DM)
                      model_id: dm-1.0
                      description: Default model for video creation.
                      preview_image: ''
                      preview_video: ''
                      active: true
                    preview_url: ''
                limitations:
                  - id: 0
                    enabled: true
                voices:
                  - voice_id: 1
                    disabled: false
                    user_id: 1
                    voice_profile_id: 1
                    voice_name: Test Voice
                    provider_voice_id: test_voice_id
                    voice_profile: null
                videos:
                  - video_id: 1
                    disabled: false
                    video_title: Video Title
                    video_description: Video Description
                    elapsed_gen_time: 100
                    credits_cost: 1
                    resolution: 1920x1080
                    creation_date: '2024-03-17T17:48:20.000Z'
                    original_input_script: Original Input Script
                    download_link: https://clipvision.ai/download/video/1
                    preview_url: https://clipvision.ai/preview/video/1
                    content_type: null
                    input_video: null
                    input_music: null
                    input_voice: null
                    font_profile: null
                    media_profile: null
                    voice_profile: null
                    template: null
                    playlist: null
        '400':
          description: Failed to retrieve user data or validation errors
          content: {}
        '500':
          description: Failed to retrieve the user data
          content:
            application/json:
              schema:
                title: Internal Server Error
                type: object
                properties:
                  success:
                    type: boolean
                    default: false
                  error:
                    type: string
                    default: Internal Server Error
                description: Internal Server Error OpenAPI Schema
              example:
                success: false
                error: Internal Server Error
components:
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    api_key:
      type: apiKey
      name: User-JWT
      in: header

````